module misc.Error;

import misc.Location;

import tango.core.Exception;

class Error : Exception
{
    char[] message;
    Location errorLocation;

    this(char[] message, Location errorLocation)
    {
        super(message ~ " at line " ~ errorLocation.toString);
        this.message = message;
        this.errorLocation = errorLocation;
    }
}
